#ifndef PX_URI_H__
#define PX_URI_H__

struct px_url {
  char* scheme;
  char* userinfo;
  char* host;
  char* port;
  char* path;
  char* query;
  char* fragment;
};

void px_url_reset(struct px_url* info);

// return the number of output fields populated, or < 0 for error
int px_url_parse(struct px_url* url, char const* buf, unsigned buflen);
char const* px_url_to_str(struct px_url const* url);

#endif // PX_URI_H__
